Name:		mathomatic
Version:	12.7.6
Release:	%mkrel 1
Epoch:		0
Summary: 	General purpose CAS (Computer Algebra System)
URL:		http://mathomatic.orgserve.de/math/
Source0:	http://www.panix.com/~gesslein/mathomatic-%{version}.tar.bz2
License:	LGPL
Group:		Sciences/Mathematics
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Mathomatic is a portable, general purpose CAS (Computer Algebra System) 
written entirely in C. It is free software (GNU LGPL license). This is a 
console mode application and library that easily compiles and runs under 
any operating system with a C compiler. There are no dependencies other 
than the standard C libraries. Mathomatic has been under development 
since 1986 and now stands at 16,000 lines of highly efficient code. The 
author is George Gesslein II.

%prep
%setup -q
%{__cat} > makefile.lib << EOF
all:
EOF
%{__mkdir_p} lib
%{__cp} -a makefile.lib lib/makefile
%{__mkdir_p} %{name}_secure
%{__mkdir_p} %{name}_secure/lib
%{__cp} -a makefile.lib %{name}_secure/lib/makefile
%{__cp} -a *.[ch] makefile VERSION %{name}_secure

%build
# build the standard version and test it
%{__sed} -e 's/-O /%{optflags} /' makefile > makefile.opt
%{make} CC=%{__cc} READLINE=1 LDFLAGS= AOUT=%{name} -f makefile.opt
%{make} CC=%{__cc} READLINE=1 LDFLAGS= AOUT=%{name} -f makefile.opt check

# build the secure version
cd %{name}_secure
%{__ln_s} ../%{name}.1 .
%{__ln_s} ../doc .
%{__sed} -e 's/-O /%{optflags} -DSECURE -DTIMEOUT_SECONDS=3600 /' makefile > makefile.secure
%{make} CC=%{__cc} READLINE=1 LDFLAGS= AOUT=%{name}_secure -f makefile.secure
cd ..

%install
%{__rm} -rf %{buildroot}
%makeinstall docdir=%{buildroot}%{_docdir}/%{name}
# remove the installed docs since these are picked up in %%doc already
%{__rm} -rf %{buildroot}%{_docdir}/%{name}
# remove manual since its installed already
%{__rm} -rf doc/%{name}.1
# install the secure binary
cd %{name}_secure
%{__install} -m 755 %{name}_secure %{buildroot}%{_bindir}/%{name}_secure
cd ..

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%doc changes.txt COPYING README.txt VERSION doc/ tests/
%{_bindir}/%{name}
%{_bindir}/%{name}_secure
%{_mandir}/man1/mathomatic.1*




%changelog
* Fri Sep 07 2007 David Walluck <walluck@mandriva.org> 12.7.6-1mdv2008.0
+ Revision: 81513
- 12.7.6

* Mon Aug 20 2007 David Walluck <walluck@mandriva.org> 0:12.7.5-1mdv2008.0
+ Revision: 68037
- 12.7.5

* Sat Jun 23 2007 David Walluck <walluck@mandriva.org> 0:12.7.3-1mdv2008.0
+ Revision: 43423
- 12.7.3

* Mon May 14 2007 David Walluck <walluck@mandriva.org> 0:12.7.0-1mdv2008.0
+ Revision: 26604
- 12.7.0


* Fri Dec 15 2006 David Walluck <walluck@mandriva.org> 12.6.8-1mdv2007.0
+ Revision: 97387
- 12.6.8
- Import mathomatic

* Mon Sep 18 2006 David Walluck <walluck@mandriva.org> 0:12.6.3-1
- 12.6.3

* Mon Aug 28 2006 David Walluck <walluck@mandriva.org> 0:12.6.1-1mdv2007.0
- 12.6.1

* Sat Aug 12 2006 David Walluck <walluck@mandriva.org> 0:12.5.19-1mdv2007.0
- 12.5.19

* Tue Aug 08 2006 David Walluck <walluck@mandriva.org> 0:12.5.18-1mdv2007.0
- 12.5.18

* Tue Jul 11 2006 David Walluck <walluck@mandriva.org> 0:12.5.17-1mdv2007.0
- 12.5.17

* Mon Jun 05 2006 David Walluck <walluck@mandriva.org> 0:12.5.16-1mdv2007.0
- 12.5.16

* Tue Mar 28 2006 David Walluck <walluck@mandriva.org> 0:12.5.12-1mdk
- 12.5.12

* Thu Mar 09 2006 Lenny Cartier <lenny@mandriva.com> 0:12.5.11-1mdk
- 12.5.11

* Thu Mar 02 2006 David Walluck <walluck@mandriva.org> 0:12.5.10-1mdk
- 12.5.10

* Wed Feb 22 2006 David Walluck <walluck@mandriva.org> 0:12.5.8-1mdk
- 12.5.8

* Fri Jan 20 2006 David Walluck <walluck@mandriva.org> 0:12.5.6-1mdk
- 12.5.6

* Thu Dec 29 2005 David Walluck <walluck@mandriva.org> 0:12.5.5-1mdk
- 12.5.5

* Sat Dec 17 2005 David Walluck <walluck@mandriva.org> 0:12.5.4-1mdk
- 12.5.4

* Sun Oct 23 2005 David Walluck <walluck@mandriva.org> 0:12.5.0-1mdk
- 12.5.0

* Mon Oct 10 2005 David Walluck <walluck@mandriva.org> 0:12.4.12-1mdk
- release

